# 4odb init

> Initialize/update a 4ODS database and generate pstub classes.

    4odb init[--help] [--adapter=<adapter>] [--package=<path>] [--directory=<dir>]
             [[--init] | [--update]] [--force] [--define=<name[=value]>]
             [--include=<dir>] [--preprocess] [--extension=<extension>] database
             file [file]...

## Example

> 4odb init test -ifg test.odl

Option Summary
-h | show detailed help message
--help
-a<adapter> | Use the specified adapter.
--adapter=<adapter>
-p<path> | Use path as the Python path for the pstubs
--package=<path>
-d<dir> | Write pstubs to the specified directory
--directory=<dir>
-i | Initialize the specified database
--init
-u | Update an existing database
--update
-f | Disable prompting
--force
-D<name[=value]> | Define name for the preprocessor
--define=<name[=value]>
-I<dir> | Include dir in the preprocessor search path
--include=<dir>
-E | Only run the preprocessor, sending its output to stdout
--preprocess
-e<extension> | The python path to an extension module.
--extension=<extension>

Argument Summary
database | The name of the database.
file | The ODMG ODL file(s) to compile